The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

phpSHIELD loader

Discussion in 'General Discussion' started by JamRob, Jun 30, 2008.

  1. JamRob

    JamRob Registered

    Joined:
    Oct 23, 2005
    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    1
    has anyone installed the phpSHIELD loader if so can you please help us install it on our server because we are trying to install PHPmotion on our site and we keep getitng this:

    Warning: dl() [function.dl]: Temporary module name should contain only filename in /home/thatweb/public_html/classes/config.php on line 2
    PHP script /home/thatweb/public_html/classes/config.php is protected by phpSHIELD and requires the phpSHIELD loader phpshield.5.2.lin. The phpSHIELD loader has not been installed, or is not installed correctly. Please visit the phpSHIELD php encoder site to download required loader.

    from what we see the reason for this is because we don't have the phpSHIELD loader on our server.
     
  2. cPanelDavidG

    cPanelDavidG Technical Product Specialist

    Joined:
    Nov 29, 2006
    Messages:
    11,279
    Likes Received:
    8
    Trophy Points:
    38
    Location:
    Houston, TX
    cPanel Access Level:
    Root Administrator
    Note, it is generally considered poor practice to leave dl (dynamic module loading) enabled in a shared hosting environment. If you have root access to the machine, you may want to set enable_dl to off.
     
Loading...

Share This Page